# 忽略 Keil5 生成的中间文件和备份文件
*.obj
*.lst
*.bak
*.rpt
*.plg
*.uvgui.*
*.crf
*.map
*.hex
*.axf
*.o
*.s19
*.dbgconf
*.uvprojx

# 忽略编译器输出目录（如果您有自定义的输出目录）
Objects/
Listings/
Exe/
prj/


# 忽略用户设置文件，通常包含调试和布局等信息
*.uvoptx
*.Administrator

# 如果使用 Visual Studio Code，可以忽略以下目录和文件
.vscode/
*.code-workspace

# 忽略操作系统生成的文件
.DS_Store
Thumbs.db

# 如果使用其他外部工具（例如，IDE 生成的临时文件）
*.log
